# ProjectHandler

Extends \AbstractHandler

Handler class for the <project> XML element This class handles all elements under the <project> element.

author | Andreas Aderhold andi@binarycloud.com
copyright | (c) 2001,2002 THYRELL. All rights reserved
version | $Id: d0fb923d8e3582c8d9c75a59f19d0ba4ea6812f8 $
package | phing.parser

### Methods

## Constructs a SAX handler parser.

    __construct( $parser,  $parentHandler)

inherited

The constructor must be called by all derived classes.

### Arguments

#### $parser

``

#### $parentHandler

``

## canonicalName

    canonicalName( $name) : mixed

static

### Arguments

#### $name

``

### Response

`mixed`

## Invoked by occurance of #PCDATA.

    characters( $data)

inherited

throws |
exception | ExpatParserException if there is no CDATA but method was called

### Arguments

#### $data

``

## Gets invoked when a XML element ends.

    endElement( $name)

inherited

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

### Arguments

#### $name

``

## Gets invoked when element closes method.

    finished()

inherited

## Executes initialization actions required to setup the project. Usually this method handles the attributes of a tag.

    init(string $tag, array $attrs)

throws | if attributes are incomplete or invalid

### Arguments

#### $tag

`string`

the tag that comes in

#### $attrs

`array`

attributes the tag carries

## Handles start elements within the <project> tag by creating and calling the required handlers for the detected element.

    startElement( $name,  $attrs)

throws | if a unxepected element occurs

### Arguments

#### $name

``

#### $attrs

``

### Properties

## The phing project configurator object.

    configurator : \ProjectConfigurator

var |

### Type(s)

`\ProjectConfigurator`

## context

    context : \PhingXMLContext

var |

### Type(s)

`\PhingXMLContext`

## parentHandler

    parentHandler :

inherited

### Type(s)

``

## parser

    parser :

inherited

### Type(s)

``